<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.SplitPane?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.control.TitledPane?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.Region?>
<?import javafx.scene.layout.RowConstraints?>

<GridPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="600.0" prefWidth="800.0" stylesheets="@styles.css" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="cz.vse.java.xname.adventuracv.main.HomeController">
  <columnConstraints>
    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
  </columnConstraints>
  <rowConstraints>
      <RowConstraints vgrow="NEVER" />
    <RowConstraints vgrow="SOMETIMES" />
    <RowConstraints valignment="CENTER" vgrow="NEVER" />
  </rowConstraints>
   <children>
      <HBox GridPane.columnSpan="2147483647" GridPane.rowIndex="2">
         <children>
            <Label prefHeight="30.0" text="Příkaz">
               <HBox.margin>
                  <Insets right="5.0" />
               </HBox.margin>
            </Label>
            <TextField fx:id="vstup" onAction="#zpracujVstup" prefHeight="30.0" HBox.hgrow="ALWAYS" />
            <Button fx:id="odesli" mnemonicParsing="false" onAction="#zpracujVstup" prefHeight="30.0" text="Odešli">
               <HBox.margin>
                  <Insets />
               </HBox.margin>
            </Button>
         </children>
         <padding>
            <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
         </padding>
      </HBox>
      <SplitPane dividerPositions="0.25" prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="1">
         <items>
            <ListView fx:id="panelVychodu" onMouseClicked="#vybranVychod" minWidth="150.0" />
            <TextArea fx:id="vystup" editable="false" minWidth="300.0" />
         </items>
      </SplitPane>
      <TitledPane animated="false" text="Mapa">
         <content>
            <HBox>
               <children>
                  <Region HBox.hgrow="ALWAYS" />
                  <Pane>
                     <children>
                        <ImageView fitHeight="239.0" fitWidth="300.0" pickOnBounds="true" preserveRatio="true">
                           <image>
                              <Image url="@herniPlan.png" />
                           </image>
                        </ImageView>
                        <ImageView fx:id="hrac" fitHeight="80.0" fitWidth="90.0" layoutX="14.0" layoutY="68.0" pickOnBounds="true" preserveRatio="true">
                           <image>
                              <Image url="@hrac.png" />
                           </image>
                        </ImageView>
                     </children>
                  </Pane>
                  <Region HBox.hgrow="ALWAYS" />
               </children>
            </HBox>
         </content>
      </TitledPane>
   </children>
</GridPane>
